libosmo-sigtran 2.2.1.4-74d0 Osmocom SIGTRAN library

Functions
mtp3_hmrt.c File Reference
`#include <stdbool.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <arpa/inet.h>`
`#include <osmocom/core/linuxlist.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/sigtran/mtp_sap.h>`
`#include <osmocom/sigtran/osmo_ss7.h>`
`#include <osmocom/sigtran/protocol/m3ua.h>`
`#include "mtp3_hmdc.h"`
`#include "mtp3_rtpc.h"`
`#include "xua_internal.h"`
`#include "ss7_as.h"`
`#include "ss7_asp.h"`
`#include "ss7_linkset.h"`
`#include "ss7_route.h"`
`#include "ss7_route_table.h"`
`#include "ss7_internal.h"`
`#include "ss7_user.h"`

## Functions
int | mtp3_hmrt_message_for_routing (struct osmo_ss7_instance *inst, struct xua_msg *xua)
int | mtp3_hmrt_mtp_xfer_request_l4_to_l3 (struct osmo_ss7_instance *inst, const struct osmo_mtp_transfer_param *param, uint8_t *user_data, size_t user_data_len)

## Function Documentation

## ◆ mtp3_hmrt_message_for_routing()

int mtp3_hmrt_message_for_routing | ( | struct osmo_ss7_instance * | inst,
|  | struct xua_msg * | xua
| ) |  |

References osmo_ss7_route::as, osmo_ss7_as::cfg, osmo_ss7_as::ctrg, osmo_ss7_route::dest, osmo_mtp_transfer_param::dpc, dpc, osmo_ss7_as::inst, ipa_tx_xua_as(), osmo_ss7_route::linkset, LOGSS7, m3ua_tx_xua_as(), xua_msg::mtp, mtp3_rtpc_rx_msg_for_inaccessible_sp(), osmo_mtp_transfer_param::opc, osmo_ss7_route_label::opc, OSMO_SS7_ASP_PROT_IPA, OSMO_SS7_ASP_PROT_M3UA, osmo_ss7_pointcode_print(), osmo_ss7_route_name(), osmo_ss7_as::proto, osmo_mtp_transfer_param::sls, SS7_AS_CTR_TX_MSU_SLS_0, SS7_AS_CTR_TX_MSU_TOTAL, ss7_instance_lookup_route(), and xua_msg_free().

Referenced by mtp3_hmdc_rx_from_l2().

## ◆ mtp3_hmrt_mtp_xfer_request_l4_to_l3()

int mtp3_hmrt_mtp_xfer_request_l4_to_l3 | ( | struct osmo_ss7_instance * | inst,
|  | const struct osmo_mtp_transfer_param * | param,
|  | uint8_t * | user_data,
|  | size_t | user_data_len
| ) |  |

References m3ua_xfer_from_data(), xua_msg::mtp, mtp3_hmdc_rx_from_l2(), and mtp_xfer_param_to_m3ua_dh().

Referenced by osmo_ss7_user_mtp_sap_prim_down(), and send_back_udts().